SQLITE3SESSION_ISEMPTY(3) | Library Functions Manual | SQLITE3SESSION_ISEMPTY(3)

# NAME

`sqlite3session_isempty` —
Test if a changeset has recorded any changes.

# SYNOPSIS

int
`sqlite3session_isempty`(sqlite3_session *pSession);

# DESCRIPTION

Return non-zero if no changes to attached tables have been recorded by the session object passed as the first argument. Otherwise, if one or more changes have been recorded, return zero.

Even if this function returns zero, it is possible that calling sqlite3session_changeset() on the session handle may still return a changeset that contains no changes. This can happen when a row in an attached table is modified and then later on the original values are restored. However, if this function returns non-zero, then it is guaranteed that a call to sqlite3session_changeset() will return a changeset containing zero changes.

# SEE ALSO

sqlite3session_changeset(3)

December 19, 2018 | NetBSD 9.0